# Uses of Class
org.kapott.hbci.sepa.jaxb.camt_052_001_01.BankTransactionCodeStructure1

Packages that use BankTransactionCodeStructure1
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Uses of BankTransactionCodeStructure1 in org.kapott.hbci.sepa.jaxb.camt_052_001_01

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_01 declared as BankTransactionCodeStructure1
Modifier and Type
Field
Description
`protected BankTransactionCodeStructure1`
EntryTransaction1.`bkTxCd`
`protected BankTransactionCodeStructure1`
NumberAndSumOfTransactionsPerBankTransactionCode1.`bkTxCd`
`protected BankTransactionCodeStructure1`
ReportEntry1.`bkTxCd`
`protected BankTransactionCodeStructure1`
ReturnReasonInformation5.`orgnlBkTxCd`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 that return BankTransactionCodeStructure1
Modifier and Type
Method
Description
`BankTransactionCodeStructure1`
ObjectFactory.`createBankTransactionCodeStructure1()`
Create an instance of `BankTransactionCodeStructure1`
`BankTransactionCodeStructure1`
EntryTransaction1.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure1`
NumberAndSumOfTransactionsPerBankTransactionCode1.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure1`
ReportEntry1.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure1`
ReturnReasonInformation5.`getOrgnlBkTxCd()`
Gets the value of the orgnlBkTxCd property.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 with parameters of type BankTransactionCodeStructure1
Modifier and Type
Method
Description
`void`
EntryTransaction1.`setBkTxCd(BankTransactionCodeStructure1 value)`
Sets the value of the bkTxCd property.
`void`
NumberAndSumOfTransactionsPerBankTransactionCode1.`setBkTxCd(BankTransactionCodeStructure1 value)`
Sets the value of the bkTxCd property.
`void`
ReportEntry1.`setBkTxCd(BankTransactionCodeStructure1 value)`
Sets the value of the bkTxCd property.
`void`
ReturnReasonInformation5.`setOrgnlBkTxCd(BankTransactionCodeStructure1 value)`
Sets the value of the orgnlBkTxCd property.